> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All History

> Returns records from the history entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json get /history
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /history:
    get:
      tags:
        - history
      summary: List All History
      description: >-
        Returns records from the history entity that match the specified query
        parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllhistory
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: history response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/history'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    history:
      type: object
      properties:
        JobId:
          description: The job id.
          type: string
        JobName:
          description: The job name.
          type: string
        RunStartDate:
          description: The time for job execution.
          type: string
          format: date-time
        Status:
          description: The status of job execution.
          type: string
        Details:
          description: The details of job execution.
          type: string
        Runtime:
          description: The time it took to run job.
          type: string
        RecordsAffected:
          description: The number of records affected by the execution.
          type: string
        LogFile:
          description: The log files for job runs.
          type: string
        Id:
          description: The id of job history.
          type: integer
          format: int64
        InstanceId:
          description: The instance id of job history.
          type: string
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````